"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const dotenv_1 = __importDefault(require("dotenv"));
const fs_1 = require("fs");
const path_1 = require("path");
exports.loadTokenFromEnv = (dir) => {
    var _a;
    if (!fs_1.existsSync(path_1.resolve(dir, '.env'))) {
        return;
    }
    const config = dotenv_1.default.parse(fs_1.readFileSync(path_1.resolve(dir, '.env')));
    return (_a = config.token) !== null && _a !== void 0 ? _a : config.TOKEN;
};
exports.setEnv = (config, token, workspace) => {
    process.env.INPUT_GITHUB_TOKEN = token;
    process.env.GITHUB_ACTOR = config.owner;
    process.env.GITHUB_WORKSPACE = path_1.resolve(process.cwd(), workspace);
    if (config.inputs) {
        const inputs = config.inputs;
        Object.keys(inputs).forEach(key => {
            process.env[`INPUT_${key}`] = inputs[key];
        });
    }
};
