"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const path_1 = require("path");
const github_action_helper_1 = require("@technote-space/github-action-helper");
exports.getRepository = (dir) => {
    var _a, _b, _c, _d;
    const json = JSON.parse(fs_1.readFileSync(path_1.resolve(dir, 'package.json'), { encoding: 'utf8' }));
    const url = json ? (_c = (_b = (_a = json.repository) === null || _a === void 0 ? void 0 : _a.url) !== null && _b !== void 0 ? _b : json.homepage) !== null && _c !== void 0 ? _c : (_d = json.bugs) === null || _d === void 0 ? void 0 : _d.url : '';
    if (!url) {
        throw new Error('Invalid package file.');
    }
    const matches = url.match(/github\.com\/([^/]+)\/([^/.#?]+)/);
    if (!matches) {
        throw new Error('Invalid url. [https://github.com/<orner>/<repo>(.git|/issues|#readme|...)]');
    }
    return {
        owner: matches[1],
        repo: matches[2],
    };
};
exports.getContextArgs = (tagName, branch, config) => (Object.assign(Object.assign({}, config), { tagName, branch }));
exports.getContext = (args) => ({
    payload: {
        action: 'published',
        release: {
            'tag_name': args.tagName,
        },
    },
    eventName: 'release',
    ref: `refs/heads/${args.branch || 'master'}`,
    sha: 'FETCH_HEAD',
    workflow: '',
    action: '',
    actor: '',
    issue: {
        owner: '',
        repo: '',
        number: 1,
    },
    repo: {
        owner: args.owner,
        repo: args.repo,
    },
});
exports.getGitHelper = () => new github_action_helper_1.GitHelper(new github_action_helper_1.Logger());
